Subject: Re: [PATCH] docs/format-patch: mention handling of merges

From: Junio C Hamano <[email-masked]>
Date: Mon, 22 Feb 2021 17:24:16 -0800

Jeff King <[email-masked]> writes:

> That seems worse to me, because "it is impossible" implies that this
> can never be changed. But I don't think that's true. We might one day
> output something useful for merges.

Fair enough.  You are more optimistic than I am ;-)

> I think one could argue that any merge information (including conflict
> resolution) works against the root notion of format-patch, which is a
> set of changes that can be applied on a range of basesa.

That's true and it was the primary motive for omiting merges.

> But even that I
> would be hesitant to commit to (since --base exists now).

I am not quite sure what --base has to throw into the equation.  The
information --base gives is often useful when I want to learn where
the patches were taken from, but that does not restrict where the
patches are actually applied to in any meaningful way (iow, "on a
range of bases" part is not affected).